Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225782 - Need more luci service information on startup - no info written to log about failed start cause
Summary: Need more luci service information on startup - no info written to log about ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:41 UTC by Len DiMaggio
Modified: 2009-04-16 22:58 UTC (History)
7 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 15:36:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
Event log (deleted)
2007-01-31 19:42 UTC, Len DiMaggio
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Len DiMaggio 2007-01-31 18:41:26 UTC
Description of problem:
I saw a problem today where the luci service failed to start. It's an
intermittent problem - I've only seen it rarely - generally after a reboot - a
retry always works. But - we should really add more debug information to the
syslog about what the cause of the failure might be.

Version-Release number of selected component (if applicable):
luci-0.8-30.el5

How reproducible:
Intermittent

Steps to Reproduce:
1. Start the luci service - if it fails, no reason is written to the log - even
at a debug level
  
Actual results:

Here's an example:

Jan 31 12:00:25 tng3-5 stunnel: LOG5[2551:3086407360]: 500 clients allowed
Jan 31 12:00:32 tng3-5 luci: startup failed
Jan 31 12:01:01 tng3-5 crond[2606]: (root) CMD (run-parts /etc/cron.hourly)
Jan 31 12:01:20 tng3-5 stunnel: LOG5[2658:3086522048]: stunnel 4.15 on
i686-redhat-linux-gnu with OpenSSL 0.9.8b 04 May 2006
Jan 31 12:01:20 tng3-5 stunnel: LOG5[2658:3086522048]: Threading:PTHREAD
SSL:ENGINE Sockets:POLL,IPv6 Auth:LIBWRAP
Jan 31 12:01:20 tng3-5 stunnel: LOG5[2658:3086522048]: 500 clients allowed
Jan 31 12:01:24 tng3-5 luci: startup succeeded
Jan 31 12:01:24 tng3-5 luci: Listening on port 8084; accessible using url
https://tng3-5:8084

Expected results:
In the event of a failed start, some error message indicating the cause.

Additional info:

Comment 1 Ryan McCabe 2007-01-31 19:27:25 UTC
Were any errors logged to /var/lib/luci/log/event.log?

Comment 2 Len DiMaggio 2007-01-31 19:42:42 UTC
Created attachment 147044 [details]
Event log

Here's the event log - I didn't see anything that corresponded to the startup
failure.

Comment 3 Len DiMaggio 2007-02-07 18:39:20 UTC
Another example - I was unable to get the luci service started - as other
instance of luci services had not been stopped:

luci      8370     1  3 13:22 pts/1    00:00:18 /usr/bin/python
/usr/lib64/luci/zope/lib/python/Zope2/Startup/run.py -C /var/lib/luci/etc/zope.conf
root      8476     1  0 13:29 pts/1    00:00:00 /usr/bin/python
/usr/lib64/luci/zope/lib/python/Zope2/Startup/run.py -C /var/lib/luci/etc/zope.conf
root      8508     1  0 13:29 pts/1    00:00:00 /usr/bin/python
/usr/lib64/luci/zope/lib/python/Zope2/Startup/run.py -C /var/lib/luci/etc/zope.conf

But - there was nothing about this written to any log.

Comment 4 RHEL Product and Program Management 2007-03-21 22:19:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Kiersten (Kerri) Anderson 2007-04-23 17:01:04 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 6 Ryan McCabe 2007-05-22 01:43:07 UTC
I've just checked in a new version of the init script that will give [hopefully]
helpful error messages whenever possible.

Comment 9 errata-xmlrpc 2007-11-07 15:36:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.